<?php
$space_id = (isset($_GET['space_id']) && $_GET['space_id'] > 0 ? $_GET['space_id'] : null);
function getSpaceValue($val) {
	if (isset($_GET['space_id'])) {
		if ( $val == 'cpc_contract_1' or $val == 'cpc_contract_2' or $val == 'cpc_contract_3' or
			$val == 'cpm_contract_1' or $val == 'cpm_contract_2' or $val == 'cpm_contract_3' or
			$val == 'cpd_contract_1' or $val == 'cpd_contract_2' or $val == 'cpd_contract_3') {
			if ( bsa_space($_GET['space_id'], $val) == '' or bsa_space($_GET['space_id'], $val) == 0 ) {
				if ( isset($_POST[$val]) ) {
					return $_POST[$val];
				} else {
					return '0';
				}
			} else {
				if ( isset($_POST[$val]) ) {
					return $_POST[$val];
				} else {
					return bsa_space($_GET['space_id'], $val);
				}
			}
		} else {
			if ( isset($_POST[$val]) ) {
				return $_POST[$val];
			} else {
				return bsa_space($_GET['space_id'], $val);
			}
		}
	} else {
		if ( isset($_POST[$val]) || isset($_SESSION['bsa_space_status']) ) {
			if ( isset($_SESSION['bsa_space_status']) && $_SESSION['bsa_space_status'] == 'space_added' ) {
				$_SESSION['bsa_clear_form'] = 'space_added';
				unset($_SESSION['bsa_space_status']);
			}
			$status = (isset($_SESSION['bsa_clear_form']) ? $_SESSION['bsa_clear_form'] : '');
			if ( $status == 'space_added' ) {
				return '';
			} else {
				return $_POST[$val];
			}
		} else {
			return '';
		}
	}
}

function selectedSpaceOpt($optName, $optValue)
{
	if ( $optName == 'show_ads' || $optName == 'show_close_btn' || $optName == 'close_ads' ) {
		if ( isset( $_GET['space_id'] ) || isset( $_POST['show_ads'] ) && isset( $_POST['show_close_btn'] )&& isset( $_POST['close_ads'] ) ) {
			if ( isset( $_GET['space_id'] ) ) {
				$action = explode(',', (bsa_space($_GET['space_id'], 'close_action') != null ? bsa_space($_GET['space_id'], 'close_action') : '0,0,0'));
			} else {
				$action = explode(',', ($_POST['show_ads'] > 0 ? $_POST['show_ads'] : '0').','.($_POST['show_close_btn'] > 0 ? $_POST['show_close_btn'] : '0').','.($_POST['close_ads'] > 0 ? $_POST['close_ads'] : '0'));
			}
			if ( $optName == 'show_ads' ) {
				if ( isset($action[0]) && $action[0] == $optValue ) {
					echo 'selected="selected"';
				}
			} elseif ( $optName == 'show_close_btn' ) {
				if ( isset($action[1]) && $action[1] == $optValue ) {
					echo 'selected="selected"';
				}
			} elseif ( $optName == 'close_ads' ) {
				if ( isset($action[2]) && $action[2] == $optValue ) {
					echo 'selected="selected"';
				}
			}
		}
	} else {
		if ( isset( $_GET['space_id'] ) && bsa_space($_GET['space_id'], $optName) == $optValue || isset($_POST[$optName]) && $_POST[$optName] == $optValue ) {
			echo 'selected="selected"';
		}
	}
}

function checkedSpaceOpt($optName, $optValue)
{
	if( isset( $_GET['space_id'] ) && in_array($optValue, explode(',', bsa_space($_GET['space_id'], $optName))) OR isset($_POST[$optName]) && in_array($optValue, $_POST[$optName]) ) {
		echo 'checked="checked"';
	}
}

$model = new BSA_PRO_Model();
$sites = $model->getUserSites('id,title', bsa_role());
?>
<h2>
	<?php if ( isset($_GET['space_id']) ): ?>
		<span class="dashicons dashicons-edit"></span> Edit <strong>Space ID <?php echo $_GET['space_id']; ?></strong>
		<p><span class="dashicons dashicon-14 dashicons-arrow-left-alt"></span> <a href="<?php echo admin_url(); ?>admin.php?page=bsa-pro-sub-menu-ma-spaces<?php echo ((isset( $_GET['site_id'] )) ? '&site_id='.$_GET['site_id'] : null) ?><?php echo ((isset( $_GET['space_id'] )) ? '&space_id='.$_GET['space_id'] : null) ?>">back to <strong>spaces / ads</strong></a></p>
	<?php else: ?>
		<span class="dashicons dashicons-plus-alt"></span> Add new Space
		<p><span class="dashicons dashicon-14 dashicons-arrow-left-alt"></span> <a href="<?php echo admin_url(); ?>admin.php?page=bsa-pro-sub-menu-ma-spaces">back to <strong>sites</strong></a></p>
	<?php endif; ?>
</h2>

<?php if ( isset($_GET['space_id']) && bsa_space($_GET['space_id'], 'id') != NULL && $sites != NULL || !isset($_GET['space_id']) && $sites != NULL ): ?>

	<form action="" method="post" enctype="multipart/form-data">
	<?php if ( isset($_GET['space_id']) ): ?>
		<input type="hidden" value="updateMaSpace" name="bsaProAction">
	<?php else: ?>
		<input type="hidden" value="addMaNewSpace" name="bsaProAction">
	<?php endif; ?>
	<table class="bsaAdminTable bsaSpaces form-table">
	<tbody class="bsaTbody">

	<tr>
		<th colspan="2">
			<h3><span class="dashicons dashicons-welcome-widgets-menus"></span> Space Settings</h3>
		</th>
	</tr>
	<?php if ( bsa_role() == 'admin' ): ?>
	<tr>
		<th scope="row"><label for="bsa_pro_status">Status</label></th>
		<td>
			<select id="bsa_pro_status" name="status">
				<option value="active" <?php selectedSpaceOpt('status', 'active'); ?>>active</option>
				<option value="inactive" <?php selectedSpaceOpt('status', 'inactive'); ?>>inactive</option>
			</select>
		</td>
	</tr>
	<?php endif; ?>
	<tr>
		<th scope="row"><label for="bsa_pro_advanced_opt">Allowed Websites</label></th>
		<td>
			<select id="bsa_pro_advanced_opt" name="advanced_opt">
				<option value="single" <?php selectedSpaceOpt('advanced_opt', 'single'); ?>>main website only</option>
				<option value="multiple" <?php selectedSpaceOpt('advanced_opt', 'multiple'); ?>>multiple websites</option>
			</select>
		</td>
	</tr>
	<tr>
		<th scope="row"><label for="bsa_pro_site_id">Choose Main Website</label></th>
		<td>
			<select id="bsa_pro_site_id" name="site_id">
				<?php foreach ($sites as $site) {
					?>
					<option value="<?php echo $site['id']; ?>" <?php selectedSpaceOpt('site_id', $site['id']); ?>> <?php echo $site['title'].', ID: '.$site['id'] ?></option>
				<?php
				} ?>
			</select>
		</td>
	</tr>
	<tr>
		<th scope="row"><label for="bsa_pro_name">Space Name</label><p class="description">(shown in the order form)</p></th>
		<td>
			<input type="text" class="regular-text code" maxlength="255" value="<?php echo stripslashes(getSpaceValue('name')) ?>"
				   id="bsa_pro_name" name="name" placeholder="Sidebar Ad Section">
		</td>
	</tr>
	<tr>
		<th scope="row"><label for="bsa_pro_title">Space Title</label><p class="description">(shown in the space)</p></th>
		<td>
			<input type="text" class="regular-text code" maxlength="255" value="<?php echo stripslashes(getSpaceValue('title')) ?>"
				   id="bsa_pro_title" name="title" placeholder="Featured section">
		</td>
	</tr>
	<tr>
		<th scope="row"><label for="bsa_pro_add_new">Space Button</label><p class="description">(shown in the space)</p></th>
		<td>
			<input type="text" class="regular-text code" maxlength="255" value="<?php echo stripslashes(getSpaceValue('add_new')) ?>"
				   id="bsa_pro_add_new" name="add_new" placeholder="add advertising here">
		</td>
	</tr>
	<tr>
		<th scope="row"><label for="bsa_pro_cpc_price">Billing Models</label><p class="description">(shown in the order form)</p></th>
		<td>
			<p class="description"><strong>Note!</strong><br>
				Fill price field only for the 1st contract because prices for other contracts will be generated in automatically (containing discount).<br>
				Enter 0 into all price fields if you want to hide Ad Space in the Order Form.</p>

			<div class="billing-col">
				<h3>CPC - Cost per Click</h3>

				<label for="bsa_pro_cpc_price" class="billing-label"><strong>CPC Price</strong> (contract 1st)</label>
				<?php if ( get_option('bsa_pro_plugin_'.'symbol_position') == 'before' ): echo get_option('bsa_pro_plugin_'.'currency_symbol'); endif; ?>
				<input type="text" class="regular-text code billing-input" id="bsa_pro_cpc_price" name="cpc_price"
					   maxlength="10" value="<?php echo ($space_id && bsa_space($space_id, 'cpc_price') > 0 ? bsa_number_format(bsa_space($space_id, 'cpc_price')) : 0); ?>" placeholder="<?= bsa_number_format(0.00) ?>">
				<?php if ( get_option('bsa_pro_plugin_'.'symbol_position') == 'after' ): echo get_option('bsa_pro_plugin_'.'currency_symbol'); endif; ?>
				<br>

				<label for="bsa_pro_cpc_contract_1" class="billing-label"><strong>Contract 1st</strong> (target clicks)</label>
				<input type="number" class="regular-text code billing-input" id="bsa_pro_cpc_contract_1" name="cpc_contract_1"
					   maxlength="10" value="<?php echo getSpaceValue('cpc_contract_1') ?>" placeholder="10"> clicks
				<br>

				<label for="bsa_pro_cpc_contract_2" class="billing-label"><strong>Contract 2nd</strong> (target clicks)</label>
				<input type="number" class="regular-text code billing-input" id="bsa_pro_cpc_contract_2" name="cpc_contract_2"
					   maxlength="10" value="<?php echo getSpaceValue('cpc_contract_2') ?>" placeholder="100"> clicks
				<br>

				<label for="bsa_pro_cpc_contract_3" class="billing-label"><strong>Contract 3rd</strong> (target clicks)</label>
				<input type="number" class="regular-text code billing-input" id="bsa_pro_cpc_contract_3" name="cpc_contract_3"
					   maxlength="10" value="<?php echo getSpaceValue('cpc_contract_3') ?>" placeholder="1000"> clicks
			</div>

			<div class="billing-col">
				<h3>CPM - Cost per Mille (Views)</h3>

				<label for="bsa_pro_cpm_price" class="billing-label"><strong>CPM Price</strong> (contract 1st)</label>
				<?php if ( get_option('bsa_pro_plugin_'.'symbol_position') == 'before' ): echo get_option('bsa_pro_plugin_'.'currency_symbol'); endif; ?>
				<input type="text" class="regular-text code billing-input" id="bsa_pro_cpm_price" name="cpm_price"
					   maxlength="10" value="<?php echo ($space_id && bsa_space($space_id, 'cpm_price') > 0 ? bsa_number_format(bsa_space($space_id, 'cpm_price')) : 0); ?>" placeholder="<?= bsa_number_format(0.00) ?>">
				<?php if ( get_option('bsa_pro_plugin_'.'symbol_position') == 'after' ): echo get_option('bsa_pro_plugin_'.'currency_symbol'); endif; ?>
				<br>

				<label for="bsa_pro_cpm_contract_1" class="billing-label"><strong>Contract 1st</strong> (target views)</label>
				<input type="number" class="regular-text code billing-input" id="bsa_pro_cpm_contract_1" name="cpm_contract_1"
					   maxlength="10" value="<?php echo getSpaceValue('cpm_contract_1') ?>" placeholder="1000"> views
				<br>

				<label for="bsa_pro_cpm_contract_2" class="billing-label"><strong>Contract 2nd</strong> (target views)</label>
				<input type="number" class="regular-text code billing-input" id="bsa_pro_cpm_contract_2" name="cpm_contract_2"
					   maxlength="10" value="<?php echo getSpaceValue('cpm_contract_2') ?>" placeholder="10000"> views
				<br>

				<label for="bsa_pro_cpm_contract_3" class="billing-label"><strong>Contract 3rd</strong> (target views)</label>
				<input type="number" class="regular-text code billing-input" id="bsa_pro_cpm_contract_3" name="cpm_contract_3"
					   maxlength="10" value="<?php echo getSpaceValue('cpm_contract_3') ?>" placeholder="100000"> views
			</div>

			<div class="billing-col">
				<h3>CPD - Cost per Days</h3>

				<label for="bsa_pro_cpd_price" class="billing-label"><strong>CPD Price</strong> (contract 1st)</label>
				<?php if ( get_option('bsa_pro_plugin_'.'symbol_position') == 'before' ): echo get_option('bsa_pro_plugin_'.'currency_symbol'); endif; ?>
				<input type="text" class="regular-text code billing-input" id="bsa_pro_cpd_price" name="cpd_price"
					   maxlength="10" value="<?php echo ($space_id && bsa_space($space_id, 'cpd_price') > 0 ? bsa_number_format(bsa_space($space_id, 'cpd_price')) : 0); ?>" placeholder="<?= bsa_number_format(0.00) ?>">
				<?php if ( get_option('bsa_pro_plugin_'.'symbol_position') == 'after' ): echo get_option('bsa_pro_plugin_'.'currency_symbol'); endif; ?>
				<br>

				<label for="bsa_pro_cpd_contract_1" class="billing-label"><strong>Contract 1st</strong> (target days)</label>
				<input type="number" class="regular-text code billing-input" id="bsa_pro_cpd_contract_1" name="cpd_contract_1"
					   maxlength="10" value="<?php echo getSpaceValue('cpd_contract_1') ?>" placeholder="30"> days
				<br>

				<label for="bsa_pro_cpd_contract_2" class="billing-label"><strong>Contract 2nd</strong> (target days)</label>
				<input type="number" class="regular-text code billing-input" id="bsa_pro_cpd_contract_2" name="cpd_contract_2"
					   maxlength="10" value="<?php echo getSpaceValue('cpd_contract_2') ?>" placeholder="60"> days
				<br>

				<label for="bsa_pro_cpd_contract_3" class="billing-label"><strong>Contract 3rd</strong> (target days)</label>
				<input type="number" class="regular-text code billing-input" id="bsa_pro_cpd_contract_3" name="cpd_contract_3"
					   maxlength="10" value="<?php echo getSpaceValue('cpd_contract_3') ?>" placeholder="90"> days
			</div>
		</td>
	</tr>
	<tr>
		<th scope="row">
			<label for="bsa_pro_discount_2">Discount (<strong>2nd</strong> contract)</label>
		</th>
		<td>
			<input type="number" class="regular-text code" id="bsa_pro_discount_2" name="discount_2"
				   maxlength="2" value="<?php echo getSpaceValue('discount_2') ?>" placeholder="10"> <em>%</em>
		</td>
	</tr>
	<tr>
		<th scope="row">
			<label for="bsa_pro_discount_3">Discount (<strong>3rd</strong> contract)</label>
		</th>
		<td>
			<input type="number" class="regular-text code" id="bsa_pro_discount_3" name="discount_3"
				   maxlength="2" value="<?php echo getSpaceValue('discount_3') ?>" placeholder="25"> <em>%</em>
		</td>
	</tr>

	<tr>
		<th colspan="2">
			<h3><span class="dashicons dashicons-admin-appearance"></span> Space Layout Settings</h3>
		</th>
	</tr>
	<tr>
        <th scope="row">
            <label for="bsa_pro_grid_system">Grid System</label><br><br>
            <img loading="lazy" class="gutterPreview gridGutter" src="<?php echo plugin_dir_url( __DIR__ ).'frontend/img/with-gutter.png'; ?>" alt="grid with gutter" style="<?php echo ( getSpaceValue('grid_system') == 'bsaGridGutter' || !isset($_GET['space_id']) ? 'display:block;' : 'display:none;'); ?>"/>
            <img loading="lazy" class="gutterPreview bsaGridGutVer" src="<?php echo plugin_dir_url( __DIR__ ).'frontend/img/ver-gutter.png'; ?>" alt="grid with vertical gutter" style="<?php echo ( getSpaceValue('grid_system') == 'bsaGridGutVer' ? 'display:block;' : 'display:none;'); ?>"/>
            <img loading="lazy" class="gutterPreview bsaGridGutHor" src="<?php echo plugin_dir_url( __DIR__ ).'frontend/img/hor-gutter.png'; ?>" alt="grid with horizontal gutter" style="<?php echo ( getSpaceValue('grid_system') == 'bsaGridGutHor' ? 'display:block;' : 'display:none;'); ?>"/>
            <img loading="lazy" class="gutterPreview bsaGridNoGutter" src="<?php echo plugin_dir_url( __DIR__ ).'frontend/img/without-gutter.png'; ?>" alt="grid without gutter" style="<?php echo ( getSpaceValue('grid_system') == 'bsaGridNoGutter' ? 'display:block;' : 'display:none;'); ?>"/>
        </th>
        <td class="bsaLast">
            <fieldset>
                <br><br>
                <label title="grid with gutter between ads"><input type="radio" class="gutterButton" data-preview="gridGutter" <?php echo (getSpaceValue('grid_system') == 'bsaGridGutter' || !isset($_GET['space_id']) ? 'checked="checked"' : ''); ?> value="bsaGridGutter" name="grid_system">grid <strong>with Gutter between Ads</strong></label><br>
                <label title="grid with vertical gutter between ads"><input type="radio" class="gutterButton" data-preview="bsaGridGutVer" <?php echo (getSpaceValue('grid_system') == 'bsaGridGutVer' ? 'checked="checked"' : ''); ?> value="bsaGridGutVer" name="grid_system">grid <strong>with Vertical Gutter between Ads</strong></label><br>
                <label title="grid with horizontal gutter between ads"><input type="radio" class="gutterButton" data-preview="bsaGridGutHor" <?php echo (getSpaceValue('grid_system') == 'bsaGridGutHor' ? 'checked="checked"' : ''); ?> value="bsaGridGutHor" name="grid_system">grid <strong>with Horizontal Gutter between Ads</strong></label><br>
                <label title="grid without gutter between ads"><input type="radio" class="gutterButton" data-preview="bsaGridNoGutter" <?php echo (getSpaceValue('grid_system') == 'bsaGridNoGutter' ? 'checked="checked"' : ''); ?> value="bsaGridNoGutter" name="grid_system">grid <strong>without Gutter between Ads</strong></label><br>
            </fieldset>
        </td>
	</tr>
	<tr>
		<th scope="row"><label for="bsa_pro_template">Template</label></th>
		<td>
			<select id="bsa_pro_template" name="template" onchange="bsaGetTemplate()">
				<?php

				$styles = array();
				$templates = glob(plugin_dir_path( __FILE__ )."../frontend/template/*");
				foreach ( $templates as $file ) {
					$files = $file;
					$styles = explode('/',$files);
					$style = array_reverse($styles);
					$name = explode('.', $style[0]);
					if ($name[0] != 'asset') {
						?>
						<option value="<?php echo $name[0]; ?>" <?php selectedSpaceOpt('template', $name[0]); ?>> <?php echo ucfirst ( str_replace('-',' ',$name[0]) ); ?></option>
					<?php
					}
				}

				?>
			</select>

			<h3>Ad Live Preview <span class="bsaLoader" style="display:none;"></span></h3>
			<div class="bsaTemplatePreview">
				<div class="bsaTemplatePreviewInner"></div>
			</div>
		</td>
	</tr>
	<?php if(get_option('bsa_pro_plugin_'.'agency_other_sites') != 'yes'): ?>
		<tr>
			<th scope="row"><label for="bsa_pro_display_type">Display Type</label></th>
			<td>
				<select id="bsa_pro_display_type" name="display_type">
					<option value="default" <?php selectedSpaceOpt('display_type', 'default'); ?>>default</option>
					<option value="carousel_slide" <?php selectedSpaceOpt('display_type', 'carousel_slide'); ?>>carousel - slide</option>
					<option value="carousel_fade" <?php selectedSpaceOpt('display_type', 'carousel_fade'); ?>>carousel - fade</option>
					<option value="floating-bottom-right" <?php selectedSpaceOpt('display_type', 'floating-bottom-right'); ?>>floating - bottom right</option>
					<option value="floating-bottom-left" <?php selectedSpaceOpt('display_type', 'floating-bottom-left'); ?>>floating - bottom left</option>
					<option value="floating-top-right" <?php selectedSpaceOpt('display_type', 'floating-top-right'); ?>>floating - top right</option>
					<option value="floating-top-left" <?php selectedSpaceOpt('display_type', 'floating-top-left'); ?>>floating - top left</option>
					<option value="popup" <?php selectedSpaceOpt('display_type', 'popup'); ?>>pop-up</option>
					<option value="corner" <?php selectedSpaceOpt('display_type', 'corner'); ?>>corner peel</option>
					<option value="layer" <?php selectedSpaceOpt('display_type', 'layer'); ?>>layer</option>
					<option value="background" <?php selectedSpaceOpt('display_type', 'background'); ?>>background</option>
					<option value="exit_popup" <?php selectedSpaceOpt('display_type', 'exit_popup'); ?>>exit pop-up</option>
					<option value="link" <?php selectedSpaceOpt('display_type', 'link'); ?>>link</option>
				</select>
			</td>
		</tr>
	<?php endif; ?>
	<tr>
        <th scope="row">
            Show Ads Randomly or Statically<br><br>
            <img loading="lazy" class="gridPreview allGrid" src="<?php echo plugin_dir_url( __DIR__ ).'frontend/img/all-in-grid.png'; ?>" alt="all in grid statically" style="<?php echo ( getSpaceValue('random') == 0 || !isset($_GET['space_id']) ? 'display:block;' : 'display:none;'); ?>"/>
            <img loading="lazy" class="gridPreview 1row" src="<?php echo plugin_dir_url( __DIR__ ).'frontend/img/1-row.png'; ?>" alt="one row statically" style="<?php echo ( getSpaceValue('random') == 8 ? 'display:block;' : 'display:none;'); ?>"/>
            <img loading="lazy" class="gridPreview 1column" src="<?php echo plugin_dir_url( __DIR__ ).'frontend/img/1-column.png'; ?>" alt="one column statically" style="<?php echo ( getSpaceValue('random') == 9 ? 'display:block;' : 'display:none;'); ?>"/>
            <img loading="lazy" class="gridPreview 2grid" src="<?php echo plugin_dir_url( __DIR__ ).'frontend/img/2-grid.png'; ?>" alt="two rows / columns statically" style="<?php echo ( getSpaceValue('random') == 4 ? 'display:block;' : 'display:none;'); ?>"/>
            <img loading="lazy" class="gridPreview 3grid" src="<?php echo plugin_dir_url( __DIR__ ).'frontend/img/3-grid.png'; ?>" alt="three rows / columns statically" style="<?php echo ( getSpaceValue('random') == 5 ? 'display:block;' : 'display:none;'); ?>"/>
            <img loading="lazy" class="gridPreview 1rowRandom" src="<?php echo plugin_dir_url( __DIR__ ).'frontend/img/1-row-random.png'; ?>" alt="one row randomly" style="<?php echo ( getSpaceValue('random') == 1 ? 'display:block;' : 'display:none;'); ?>"/>
            <img loading="lazy" class="gridPreview 1columnRandom" src="<?php echo plugin_dir_url( __DIR__ ).'frontend/img/1-column-random.png'; ?>" alt="one column randomly" style="<?php echo ( getSpaceValue('random') == 2 ? 'display:block;' : 'display:none;'); ?>"/>
            <img loading="lazy" class="gridPreview 2gridRandom" src="<?php echo plugin_dir_url( __DIR__ ).'frontend/img/2-grid-random.png'; ?>" alt="two rows / columns randomly" style="<?php echo ( getSpaceValue('random') == 6 ? 'display:block;' : 'display:none;'); ?>"/>
            <img loading="lazy" class="gridPreview 3gridRandom" src="<?php echo plugin_dir_url( __DIR__ ).'frontend/img/3-grid-random.png'; ?>" alt="three rows / columns randomly" style="<?php echo ( getSpaceValue('random') == 7 ? 'display:block;' : 'display:none;'); ?>"/>
            <img loading="lazy" class="gridPreview allGridRandom" src="<?php echo plugin_dir_url( __DIR__ ).'frontend/img/all-in-grid-random.png'; ?>" alt="all in grid randomly" style="<?php echo ( getSpaceValue('random') == 3 ? 'display:block;' : 'display:none;'); ?>"/>
        </th>
        <td>
            <fieldset>
                <label title="show ALL ads statically"><input type="radio" class="gridButton" data-preview="allGrid" <?php echo (getSpaceValue('random') == 0 || !isset($_GET['space_id']) ? 'checked="checked"' : ''); ?> value="0" name="random">show <strong>ALL ads statically</strong></label><br>
                <label title="show ads statically in 1 row"><input type="radio" class="gridButton" data-preview="1row" <?php echo (getSpaceValue('random') == 8 ? 'checked="checked"' : ''); ?> value="8" name="random">show ads <strong>statically in 1 row</strong></label><br>
                <label title="show ads statically in 1 column"><input type="radio" class="gridButton" data-preview="1column" <?php echo (getSpaceValue('random') == 9 ? 'checked="checked"' : ''); ?> value="9" name="random">show ads <strong>statically in 1 column</strong></label><br>
                <label title="show ads statically in 2 rows / columns"><input type="radio" class="gridButton" data-preview="2grid" <?php echo (getSpaceValue('random') == 4 ? 'checked="checked"' : ''); ?> value="4" name="random">show ads <strong>statically in 2 rows / columns</strong></label><br>
                <label title="show ads statically in 3 rows / columns"><input type="radio" class="gridButton" data-preview="3grid" <?php echo (getSpaceValue('random') == 5 ? 'checked="checked"' : ''); ?> value="5" name="random">show ads <strong>statically in 3 rows / columns</strong></label><br>
                <label title="show ads randomly in 1 row"><input type="radio" class="gridButton" data-preview="1rowRandom" <?php echo (getSpaceValue('random') == 1 ? 'checked="checked"' : ''); ?> value="1" name="random">show ads <strong>randomly in 1 row</strong></label><br>
                <label title="show ads randomly in 1 column"><input type="radio" class="gridButton" data-preview="1columnRandom" <?php echo (getSpaceValue('random') == 2 ? 'checked="checked"' : ''); ?> value="2" name="random">show ads <strong>randomly in 1 column</strong></label><br>
                <label title="show ads randomly in 2 rows / columns"><input type="radio" class="gridButton" data-preview="2gridRandom" <?php echo (getSpaceValue('random') == 6 ? 'checked="checked"' : ''); ?> value="6" name="random">show ads <strong>randomly in 2 rows / columns</strong></label><br>
                <label title="show ads randomly in 3 rows / columns"><input type="radio" class="gridButton" data-preview="3gridRandom" <?php echo (getSpaceValue('random') == 7 ? 'checked="checked"' : ''); ?> value="7" name="random">show ads <strong>randomly in 3 rows / columns</strong></label><br>
                <label title="show ALL ads randomly"><input type="radio" class="gridButton" data-preview="allGridRandom" <?php echo (getSpaceValue('random') == 3 ? 'checked="checked"' : ''); ?> value="3" name="random">show <strong>ALL ads randomly</strong></label><br>
            </fieldset>
        </td>
	</tr>
	<tr>
		<th scope="row"><label for="bsa_pro_max_items">Maximum Ads in Space</label></th>
		<td>
			<select id="bsa_pro_max_items" name="max_items">
				<?php
				for ($i = 1; $i <= 96; $i++) {
					echo $i;
					?>
					<option value="<?php echo $i; ?>" <?php selectedSpaceOpt('max_items', $i); ?>> <?php echo $i; ?> ad<?php if($i != 1) { echo 's'; } ?></option>
				<?php
				}
				?>
			</select>
		</td>
	</tr>
	<tr>
		<th scope="row"><label for="bsa_pro_col_per_row">Number of Ads per Row (columns per row)</label></th>
		<td>
			<select id="bsa_pro_col_per_row" name="col_per_row">
				<?php

						for ($i = 1; $i <= 12; $i++) {
							echo $i;
							if ( $i <= 4 || $i == 8 || $i == 12 ) {
								?>
								<option value="<?php echo $i; ?>" <?php selectedSpaceOpt('col_per_row', $i); ?>> <?php echo $i; ?> <?php if($i == 1) { echo 'column'; } else { echo 'columns'; } ?></option>
							<?php
							}
						}

				?>
			</select>
		</td>
	</tr>
	<tr>
		<th>Customization</th>
		<td>
			<div id="postbox-container-1" class="postbox-container">
				<div id="side-sortables" class="meta-box-sortables ui-sortable" style="">
					<div id="bsaSpaceCustomization" class="postbox closed">
						<p class="hndle ui-sortable-handle bsaSpaceCustomization" style="margin: 0; padding: 10px; cursor: pointer;">
							Options <span class="dashicons dashicons-arrow-down" style="float: right;"></span>
						</p>
						<div class="inside">
							<table>
								<tbody>

								<?php if(get_option('bsa_pro_plugin_'.'agency_other_sites') != 'yes'): ?>
									<tr>
										<th scope="row"><label for="bsa_pro_font">Google Font</label></th>
										<td>
											<input type="text" class="regular-text code" value="<?php echo str_replace("\\'", "", getSpaceValue('font')) ?>" id="bsa_pro_font" name="font">
											<p class="description">
												Example: <strong>font-family: 'Open Sans', sans-serif;</strong><br>
												Choose from 650+ fonts available here <a href="https://www.google.com/fonts" target="_blank">https://www.google.com/fonts</a>
											</p>
										</td>
									</tr>
									<tr>
										<th scope="row"><label for="bsa_pro_font_url">Google Font URL</label></th>
										<td>
											<input type="text" class="regular-text code" value="<?php echo getSpaceValue('font_url') ?>" id="bsa_pro_font_url" name="font_url">
											<p class="description">Example: <strong>@import url(http://fonts.googleapis.com/css?family=Open+Sans);</strong></p>
										</td>
									</tr>
								<?php endif; ?>
								<tr>
									<th scope="row"><label for="bsa_pro_header_bg">Header Background</label></th>
									<td>
										<input id="bsa_pro_header_bg"
											   name="header_bg"
											   value="<?php echo getSpaceValue('header_bg') ?>"
											   data-default-color="#FFFFFF" type="text" class="bsaColorPicker">
									</td>
								</tr>
								<tr>
									<th scope="row"><label for="bsa_pro_header_color">Header Color</label></th>
									<td>
										<input id="bsa_pro_header_color"
											   name="header_color"
											   value="<?php echo getSpaceValue('header_color') ?>"
											   data-default-color="#000000" type="text" class="bsaColorPicker">
									</td>
								</tr>
								<tr>
									<th scope="row"><label for="bsa_pro_link_color">Header Link Color</label></th>
									<td>
										<input id="bsa_pro_link_color"
											   name="link_color"
											   value="<?php echo getSpaceValue('link_color') ?>"
											   data-default-color="#000000" type="text" class="bsaColorPicker">
									</td>
								</tr>
								<tr>
									<th scope="row"><label for="bsa_pro_ads_bg">Ads Whole Section Background</label></th>
									<td>
										<input id="bsa_pro_ads_bg"
											   name="ads_bg"
											   value="<?php echo getSpaceValue('ads_bg') ?>"
											   data-default-color="#f5f5f5" type="text" class="bsaColorPicker">
									</td>
								</tr>
								<tr>
									<th scope="row"><label for="bsa_pro_ad_bg">Ad Background</label></th>
									<td>
										<input id="bsa_pro_ad_bg"
											   name="ad_bg"
											   value="<?php echo getSpaceValue('ad_bg') ?>"
											   data-default-color="#f5f5f5" type="text" class="bsaColorPicker">
									</td>
								</tr>
								<tr>
									<th scope="row"><label for="bsa_pro_ad_title_color">Ad Title Color</label></th>
									<td>
										<input id="bsa_pro_ad_title_color"
											   name="ad_title_color"
											   value="<?php echo getSpaceValue('ad_title_color') ?>"
											   data-default-color="#000000" type="text" class="bsaColorPicker">
									</td>
								</tr>
								<tr>
									<th scope="row"><label for="bsa_pro_ad_desc_color">Ad Description Color</label></th>
									<td>
										<input id="bsa_pro_ad_desc_color"
											   name="ad_desc_color"
											   value="<?php echo getSpaceValue('ad_desc_color') ?>"
											   data-default-color="#000000" type="text" class="bsaColorPicker">
									</td>
								</tr>
								<tr>
									<th scope="row"><label for="bsa_pro_ad_url_color">Ad URL Color</label></th>
									<td>
										<input id="bsa_pro_ad_url_color"
											   name="ad_url_color"
											   value="<?php echo getSpaceValue('ad_url_color') ?>"
											   data-default-color="#000000" type="text" class="bsaColorPicker">
									</td>
								</tr>
								<tr>
									<th scope="row"><label for="bsa_pro_ad_extra_color_1">Ad Extra Color 1</label></th>
									<td>
										<input id="bsa_pro_ad_extra_color_1"
											   name="ad_extra_color_1"
											   value="<?php echo getSpaceValue('ad_extra_color_1') ?>"
											   data-default-color="#FFFFFF" type="text" class="bsaColorPicker">
									</td>
								</tr>
								<tr>
									<th scope="row"><label for="bsa_pro_ad_extra_color_2">Ad Extra Color 2</label></th>
									<td>
										<input id="bsa_pro_ad_extra_color_2"
											   name="ad_extra_color_2"
											   value="<?php echo getSpaceValue('ad_extra_color_2') ?>"
											   data-default-color="#444444" type="text" class="bsaColorPicker">
									</td>
								</tr>
								</tbody>
							</table>
						</div>
					</div>
				</div>
			</div>
		</td>
	</tr>
	</tbody>
	</table>
	<p class="submit">
		<input type="submit" value="Save Space" class="button button-primary" id="bsa_pro_submit" name="bsa_pro_submit">
	</p>
	</form>
	<style>
		<?php
			foreach ( $templates as $file ) {
				$styles = explode('/', $file);
				$style = array_reverse($styles);
				$name = explode('.', $style[0]);
				$size = explode('--', str_replace('block-', '', $name[0]));
				$width = (isset($size[0]) ? $size[0] : 0);
				$height = (isset($size[1]) ? $size[1] : 0);
				if ( $width > 0 && $height > 0 ) { ?>
		.bsaTemplatePreview .bsa-<?php echo $name[0]; ?> {
			width: <?php echo $width; ?>px;
			height: <?php echo $height; ?>px;
		}
		<?php }
	}
	?>
	</style>

<?php else: ?>

	<div class="updated settings-error" id="setting-error-settings_updated">
		<p><strong>Error!</strong> Site not exists! Go <a href="<?php echo admin_url(); ?>admin.php?page=bsa-pro-sub-menu-ma-new-site">here</a> to add new site.</p>
	</div>

<?php endif; ?>

<script>
	(function($){
		"use strict";
		// - start - open page
		let bsaPageContent = $(".wrap");
		let waitingContent = $(".waitingContent");
		$(document).ready(function(){
			bsaPageContent.fadeIn();
			waitingContent.fadeOut();
		});
		// - end - open page

		$(document).ready(function(){
			$('.bsaColorPicker').wpColorPicker();
			bsaGetTemplate();
			let bsaAnimation = $("#bsa_pro_animation");
			let bsaTemplatePreviewInner = $(".bsaTemplatePreviewInner");
			bsaAnimation.on('change',function() {
				bsaTemplatePreviewInner.addClass(('animated ' + bsaAnimation.val()));
				setTimeout(function(){
					bsaTemplatePreviewInner.removeClass().addClass('bsaTemplatePreviewInner');
				}, 1500);
			});
			bsaAnimation.trigger('change');
		});

        // gutter preview
        $('.gutterButton').on('click', function() {
            let gutterPreview = $(this).attr('data-preview');
            $('.gutterPreview').hide();
            $('.' + gutterPreview).show();
        });

        // grid preview
        $('.gridButton').on('click', function() {
            let gridPreview = $(this).attr('data-preview');
            $('.gridPreview').hide();
            $('.' + gridPreview).show();
        });

		$('.bsaSpaceCustomization').on('click', function() {
			let bsaSpaceCustomization = $('#bsaSpaceCustomization');
			let arrow = $('#bsaSpaceCustomization span.dashicons');
			if ( bsaSpaceCustomization.hasClass('closed') ) {
				bsaSpaceCustomization.removeClass('closed');
				arrow.removeClass('dashicons-arrow-down').addClass('dashicons-arrow-up');
			} else {
				bsaSpaceCustomization.addClass('closed');
				arrow.removeClass('dashicons-arrow-up').addClass('dashicons-arrow-down');
			}
		});
	})(jQuery);

	function bsaGetTemplate()
	{
		(function($) {
			let bsaTemplatePreviewInner = $('.bsaTemplatePreviewInner');
			let bsaLoader = $('.bsaLoader');

			bsaTemplatePreviewInner.slideUp(400);
			bsaLoader.fadeIn(400);
			setTimeout(function(){
				$.post(ajaxurl, {action:'bsa_preview_callback',bsa_template:$("#bsa_pro_template").val()}, function(result) {
					bsaTemplatePreviewInner.html(result).slideDown(400);
					bsaLoader.fadeOut(400);
				});
			}, 1100);
		})(jQuery);
	}
</script>